Update items and bundles - Fabric

Update items and bundles

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-product/v1/product/bulk/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "skus": [\
    "sku12",\
    "sku13"\
  ],
  "type": "ITEM",
  "action": "UPDATE",
  "parentSku": "sku234",
  "attributeValues": [\
    {\
      "name": "Mobile",\
      "value": "AMD X570 mobo"\
    }\
  ],
  "inheritedAttributes": [\
    {\
      "name": "color",\
      "action": "SET"\
    }\
  ]
}
'

Python Example

import requests

url = "https://live.copilot.fabric.inc/api-product/v1/product/bulk/update"

payload = {
    "skus": ["sku12", "sku13"],
    "type": "ITEM",
    "action": "UPDATE",
    "parentSku": "sku234",
    "attributeValues": [\
        {\
            "name": "Mobile",\
            "value": "AMD X570 mobo"\
        }\
    ],
    "inheritedAttributes": [\
        {\
            "name": "color",\
            "action": "SET"\
        }\
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    skus: ['sku12', 'sku13'],
    type: 'ITEM',
    action: 'UPDATE',
    parentSku: 'sku234',
    attributeValues: [{name: 'Mobile', value: 'AMD X570 mobo'}],
    inheritedAttributes: [{name: 'color', action: 'SET'}]
  })
};

fetch('https://live.copilot.fabric.inc/api-product/v1/product/bulk/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-product/v1/product/bulk/update",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'skus' => [\
        'sku12',\
        'sku13'\
    ],\
    'type' => 'ITEM',\
    'action' => 'UPDATE',\
    'parentSku' => 'sku234',\
    'attributeValues' => [\
        [\
                'name' => 'Mobile',\
                'value' => 'AMD X570 mobo'\
        ]\
    ],\
    'inheritedAttributes' => [\
        [\
                'name' => 'color',\
                'action' => 'SET'\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Response Example

{
  "success": [\
    {\
      "sku": "sku1",\
      "itemId": "611686da50fb7e0c5df78c2e",\
      "itemIdSeq": 12,\
      "message": "SKU created successfully.",\
      "errorAttributes": [\
        {\
          "name": "Inactive",\
          "message": "Attribute value is invalid."\
        }\
      ],\
      "errorBundles": [\
        {\
          "name": "<string>",\
          "message": "<string>"\
        }\
      ]\
    }\
  ],
  "failed": [\
    {\
      "sku": "sku1",\
      "message": "Failed because of validation"\
    }\
  ],\
  "itemIds": [\
    "611686da50fb7e0c5df78c2e",\
    "711686da50fb7e0c5df78c22"\
  ]
}

Error Response Example

{
  "code": 400,
  "message": "Client error"
}

Authorization

- Authorization: S2S access token (JWT)
- x-site-context: JSON object containing source info

Body